;;; -*- mode: common-lisp; package: finder; base:10. -*-

;;;****************************************************************
;;;****************************************************************
;;;****************************************************************

;;; ChangeLog:
;;;
;;;   19 Jun 92	Clinton Hyde 	version for Rev 1.0 of obj-model doc.
;;;

;;;****************************************************************
;;;****************************************************************

;;;a quickie macro which renders defclass forms from a much simpler version.

(DEFMACRO dclass (name incl slots &rest options)
  `(DEFCLASS ,name ,incl ,(MAPCAR #'(lambda (slot)
				      (if (listp slot)
					  slot
					(LIST slot 
					      :initform ()
					      :initarg (INTERN (STRING slot) :keyword)
					      :accessor slot)))
				slots)
     ,@options))

;;;****************************************************************
;;;****************************************************************
;;;
;;; end of file
;;;
;;;****************************************************************
;;;****************************************************************
;;;****************************************************************
