;;; -*- mode: common-lisp; package: user; base:10. -*-

;;; quickie defsystem for CDP, User-UI, etc.

;;;****************************************************************

(defpackage finder 
  (:nicknames "DM")
  (:use "COMMON-LISP" "CLOS")

  (:IMPORT-FROM "CL-USER"
		"*ROOT*")
  (:export "RUN-FINDER")
  )

;;;****************************************************************
;;;****************************************************************

(excl:defsystem :finder
    (:pretty-name "File/Dir Manager"
     :default-pathname "~/Lisp-code/dir-mgr/"
     )
  (:serial (:definitions 
	     "class-macros"
	     "change-mouse-glyph"
	     "pointer-gestures"
	     "picture-buttons"
	     "icons-32b"
	     "variables"
	     "clim-rubber-band-box"
	     "finder-frame"
	     "presentation-translators"
	     )
	   ))

;;;****************************************************************
;;;****************************************************************
;;;****************************************************************
;;;
;;; end of file
;;;
;;;****************************************************************
;;;****************************************************************
;;;****************************************************************
